org.apache.cassandra.net

## Interface IVerbHandler<T>

- All Known Implementing Classes:
    CommitVerbHandler, CounterMutationVerbHandler, DefinitionsUpdateVerbHandler, EchoVerbHandler, GossipDigestAck2VerbHandler, GossipDigestAckVerbHandler, GossipDigestSynVerbHandler, GossipShutdownVerbHandler, MigrationRequestVerbHandler, MutationVerbHandler, PrepareVerbHandler, ProposeVerbHandler, RangeSliceVerbHandler, ReadRepairVerbHandler, ReadVerbHandler, RepairMessageVerbHandler, ReplicationFinishedVerbHandler, ResponseVerbHandler, SchemaCheckVerbHandler, SnapshotVerbHandler, TruncateVerbHandler

      public interface IVerbHandler<T>

  IVerbHandler provides the method that all verb handlers need to implement. The concrete implementation of this interface would provide the functionality for a given verb.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doVerb(MessageIn<T> message, int id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

- - ### Method Detail

    - #### doVerb

          void doVerb(MessageIn<T> message,
                      int id)
               throws java.io.IOException

      This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.
      Parameters:
        `message` - - incoming message that needs handling.
        `id` -
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation